#ifndef IAUDIORESAMPLER_H
#define IAUDIORESAMPLER_H

//
// Interface class for the resampling routine
//

#include <default.h>
#include <sys/types.h>

// using templates for  char, short, int sized samples
class IAudioResampler
{
public:
    virtual unsigned int getBitsPerSample() const = 0;
    virtual void resample(void* out, const void* in, size_t out_count, size_t in_count) = 0;
};

#endif
